<?php
namespace Claromentis\People;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_5846ddea7ff6d30bd0e7b4" . "a81710776e" => base64_decode("YXJyYXlfc2hpZnQ" . "="), "_7f628626dd" . "1d55c71b1fc" . "0932ffd1d2c" => base64_decode("aXNfYX" . "JyYXk="));
class PasswordChangeException extends \Exception
{
    
    
    
    
    private $localization_key;
    
    
    
    
    private $localization_arguments = [];
    
    
    
    
    
    
    
    public function __construct($message = null, $localization = null, $code = 0, \Exception $_ee1c4cef8785a744408faf37f4e50100 = null)
    {
        $this->setLocalization($localization);
        parent::__construct($message, $code, $_ee1c4cef8785a744408faf37f4e50100);
    }
    public function getLocalization()
    {
        return [$this->getLocalizationKey(), $this->getLocalizationArguments()];
    }
    public function getLocalizationKey()
    {
        return $this->localization_key;
    }
    public function getLocalizationArguments()
    {
        return $this->localization_arguments;
    }
    private function setLocalization($localization)
    {
        if ($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_7f628626dd1d55c71b1" . "fc0932ffd1d2c"]($localization)) {
            $_862f82fecb5498070bd5e94499033cb2 = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_5846ddea7ff6d30bd0e7b4a81710776" . "e"]($localization);
            if (isset($localization[0]) && $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_7f628626dd1d55c71b1fc09" . "32ffd1d2c"]($localization[0])) {
                $this->setLocalizationArguments($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_5846ddea" . "7ff6d30bd" . "0e7b4a817" . "10776e"]($localization));
            }
        } else {
            $_862f82fecb5498070bd5e94499033cb2 = $localization;
        }
        $this->setLocalizationKey($_862f82fecb5498070bd5e94499033cb2);
    }
    private function setLocalizationArguments(array $_ddf4a91a7a5d92818819c0af37834140)
    {
        $this->localization_arguments = $_ddf4a91a7a5d92818819c0af37834140;
    }
    private function setLocalizationKey($_862f82fecb5498070bd5e94499033cb2)
    {
        $this->localization_key = $_862f82fecb5498070bd5e94499033cb2;
    }
}